"""add default password to users

Revision ID: f48a8e838fdd
Revises: 5ed33201c297
Create Date: 2022-05-20 10:12:50.493011

"""
import sqlalchemy as sa
from passlib.context import CryptContext

from alembic import op

# revision identifiers, used by Alembic.
revision = "f48a8e838fdd"
down_revision = "5ed33201c297"
branch_labels = None
depends_on = None

pwd_context = CryptContext(schemes=["bcrypt"], deprecated="auto")


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    password = pwd_context.hash("Aptiv703")
    op.execute(
        f"UPDATE users SET password='{password}' WHERE 1=1"
        # User.update().where(1 == 1).values({"password": password})
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute("UPDATE users SET password='' WHERE 1=1;")
    # ### end Alembic commands ###
